org.apache.pdfbox.pdmodel.encryption

## Class StandardDecryptionMaterial

- java.lang.Object
- - org.apache.pdfbox.pdmodel.encryption.DecryptionMaterial
  - - org.apache.pdfbox.pdmodel.encryption.StandardDecryptionMaterial

    public class StandardDecryptionMaterial
    extends DecryptionMaterial

Represents the necessary information to decrypt a document protected by the standard security handler (password protection). This is only composed of a password.

Author:
  Benoit Guillon

### Constructor Summary

Constructors
Constructor and Description
`StandardDecryptionMaterial(String pwd)` Create a new standard decryption material with the given password.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPassword()` Returns the password.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardDecryptionMaterial

    public StandardDecryptionMaterial(String pwd)

Create a new standard decryption material with the given password.

Parameters:
  `pwd` - The password.

### Method Detail

#### getPassword

    public String getPassword()

Returns the password.

Returns:
  The password used to decrypt the document.